package net.northking.cctp.executePlan.dto.planBatch;

import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: MobileTaskPerformanceDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/11/13 14:52
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class MobileTaskPerformanceDto implements Serializable {

    private String deviceId;
    private String appId;
    private Long appInstallTime;
    private Long appActiveTime;
    private List<Double> appCpuList;
    private List<Double> appMemoList;
    private List<Double> appFlowList;
    private List<Double> deviceCpuList;
    private List<Double> deviceMemoList;
    private List<Double> deviceFlowList;
    private List<Double> deviceTemperatureList;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Long getAppInstallTime() {
        return appInstallTime;
    }

    public void setAppInstallTime(Long appInstallTime) {
        this.appInstallTime = appInstallTime;
    }

    public Long getAppActiveTime() {
        return appActiveTime;
    }

    public void setAppActiveTime(Long appActiveTime) {
        this.appActiveTime = appActiveTime;
    }

    public List<Double> getAppCpuList() {
        return appCpuList;
    }

    public void setAppCpuList(List<Double> appCpuList) {
        this.appCpuList = appCpuList;
    }

    public List<Double> getAppMemoList() {
        return appMemoList;
    }

    public void setAppMemoList(List<Double> appMemoList) {
        this.appMemoList = appMemoList;
    }

    public List<Double> getAppFlowList() {
        return appFlowList;
    }

    public void setAppFlowList(List<Double> appFlowList) {
        this.appFlowList = appFlowList;
    }

    public List<Double> getDeviceCpuList() {
        return deviceCpuList;
    }

    public void setDeviceCpuList(List<Double> deviceCpuList) {
        this.deviceCpuList = deviceCpuList;
    }

    public List<Double> getDeviceMemoList() {
        return deviceMemoList;
    }

    public void setDeviceMemoList(List<Double> deviceMemoList) {
        this.deviceMemoList = deviceMemoList;
    }

    public List<Double> getDeviceFlowList() {
        return deviceFlowList;
    }

    public void setDeviceFlowList(List<Double> deviceFlowList) {
        this.deviceFlowList = deviceFlowList;
    }

    public List<Double> getDeviceTemperatureList() {
        return deviceTemperatureList;
    }

    public void setDeviceTemperatureList(List<Double> deviceTemperatureList) {
        this.deviceTemperatureList = deviceTemperatureList;
    }
}
